Subject: Re: [DNSOP] [Ext] Last Call: <draft-ietf-dnsop-terminology-bis-11.txt> (DNS Terminology) to Best Current Practice
From: "Patrik Fältström" <[email-masked]>
To: "John C Klensin" <[email-masked]>
Cc: "Paul Hoffman" <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 16 Aug 2018 08:11:51 +0200
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

On 15 Aug 2018, at 22:01, John C Klensin wrote:

> In that regard, I find the document's definition of "split DNS"
> a little bit frustrating, as I have seen (multiple times) a
> distinction made between names (or a zone) that would clearly be part of the public DNS except that they are hidden from view and names that are part of a different hierarchical structure based on a different root.   That is a different case from names (even fully-qualified ones) that different user can resolve but for which they will get different results.  It may also be different from practices in CDNs to return different answers depending on the presumed network location from which the question is being asked, practices that presumably fall into your "view" category.
> I can't make a case for holding up the document to try to sort that out better, but it perhaps should be flagged as an
> opportunity for future work.

Is it the case that various alternatives should be enumerated?

a. When a domain name is used for access to a service we might have:

a.1. The same DNS response regardless of who sends the query (this is the default for DNS)

a.2. Different responses depending on context (where query is sent from etc), but still same service (this is CDN)

b. When different services are accessed depending on context (enterprise setup)

b.1. A service is available or not depending on context, implemented via DNS response or not (version of a.1)

b.2. Different services are available depending on context, implemented via different DNS responses

c. The special case of (b) based on use of different root zone

:
:
:

   Patrik